Page MenuHomePhabricator

Language change tooltip is broken
Closed, ResolvedPublic

Description

See screenshot (mediawiki.org) on master:

Same happens with other wikis at master.

Likely to be case of, https://phabricator.wikimedia.org/T160852#3112935

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2017, 10:55 AM

Broken here means:

  • Missing the caret/triangle pointing to the element
  • Position of the tooltip

Like the same cause as in T160852#3112935 with the same fix. But this one is more urgent to fix, in my opinion.

Amire80 triaged this task as High priority.Mar 24 2017, 7:24 AM
Volker_E moved this task from Backlog to OOjs-UI-0.20.1 on the OOUI board.Mar 31 2017, 5:21 AM
Volker_E edited projects, added OOUI (OOjs-UI-0.20.1); removed OOUI.

The OOjs UI issue causing the exception is now fixed, but the popup is not being positioned correctly now, for the same reasons as T162101.

Change 346212 had a related patch set uploaded (by Bartosz Dziewoński):
[mediawiki/extensions/UniversalLanguageSelector@master] Fix language change tooltip positioning

https://gerrit.wikimedia.org/r/346212

Change 346212 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Fix language change tooltip positioning

https://gerrit.wikimedia.org/r/346212

Nikerabbit lowered the priority of this task from High to Normal.Apr 4 2017, 1:31 PM
Nikerabbit removed a project: Patch-For-Review.

Change 346362 had a related patch set uploaded (by Bartosz Dziewoński):
[mediawiki/extensions/UniversalLanguageSelector@master] Better language change tooltip positioning in 'interlanguage' mode

https://gerrit.wikimedia.org/r/346362

@Nikerabbit (on Gerrit)

This moves the tip from left to the center. This implies that in the sidebar position it will hide parts of the language list on the sidebar (and less of page content).

Sorry, I forgot that this is a thing. In sidebar position, the popup should probably be shown entirely on the right/left, rather than below. (We actually support that now!) Done in https://gerrit.wikimedia.org/r/#/c/346362/.

The tip is not properly aligned with the cog in sidebar position, it is some pixels too much left at least on Chrome.

The tip ("anchor") aligns itself to the left edge of the cog ("floatable container"). It's a remnant from when the positioning logic was much dumber, and only kind of works for PopupButtonWidgets. We're changing it in https://gerrit.wikimedia.org/r/#/c/341329/ in OOjs UI to align to the center.


Screenshots with both of the patches applied:

$wgULSPosition = 'personal';$wgULSPosition = 'interlanguage';
matmarex claimed this task.Apr 4 2017, 8:31 PM

Change 346362 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Better language change tooltip positioning in 'interlanguage' mode

https://gerrit.wikimedia.org/r/346362

This is confirmed in master.

Arrbee closed this task as Resolved.Apr 18 2017, 6:43 AM